#include <avr32/io.h>
#include "macro.h"
#include  "vfs.h"

.global patfs_open
.global patfs_read
.global patfs_close
.global patfs_ls


patfs_ls:
    stm     --sp,r0,r9,r11,lr
    ldm     sp++,r0,r9,r11,pc


patfs_close:
    stm     --sp,r0,r9,r11,lr
    ldm     sp++,r0,r9,r11,pc


patfs_read:
    stm     --sp,r0,r9,r11,lr
    ldm     sp++,r0,r9,r11,pc


/******************************************
** 
**
** r10 = device info structure.
******************************************/
patfs_open:
    stm     --sp,r8,r7,r5,lr
    
    mov     r7,0
    mov     r8,0//TODO: must use real buffer
1:  mov     r5,0
    mcall   r10[VFS_DEV_READ]
    sub     r7,-1



    ldm     sp++,r8,r7,r5,pc
